#include <stdio.h>

#include "Example.h"



/**************************    Linux sys.log Declarations    ******************************/

/* MC Modules */
#define MODULE_NON		 	 0
#define MODULE_MOTION		 1
#define MODULE_RTS			 2
#define MODULE_TRANSLAT		 3
#define MODULE_SERCOS		 4
#define MODULE_ROBOT		 5
#define MODULE_TRACER		 6
#define MODULE_SYSTEM		 7
#define MODULE_MEMORY		 8
#define MODULE_FILE_SYSTEM	 9
#define MODULE_CLI			10
#define MODULE_RBOOTP		11
#define MODULE_ETHERCAT		12
#define MODULE_FASTDATA		13
#define MODULE_UAC			14
#define MODULE_MC_BASIC		15
#define MODULE_CANOPEN		16


/* MC Log Level */
#define LOG_LEVEL_NON		0
#define LOG_LEVEL_ERROR		1
#define LOG_LEVEL_WARNING	2
#define LOG_LEVEL_NOTE		3
#define LOG_LEVEL_DEBUG		4
#define LOG_LEVEL_ALL		5

extern int sys_log(int sub_system, int _debug_level, const char * fmt, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9, int arg10);

/******************************************************************************************/



int SHARED_OBJECT_SUM(int arg1, int arg2)
{
	sys_log(MODULE_NON, LOG_LEVEL_ERROR, "%s: arg1 = %d, arg2 = %d\n", (int)__FUNCTION__, arg1, arg2, 0,0,0,0,0,0,0);
	print_hello();

	return arg1 + arg2;
}

void print_hello(void)
{
	fprintf(stderr, "Hello! This is just an example\n");
}
